import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema'

const makeSchema = () => z.object({
  id: SortOrderSchema.optional(),
  userId: SortOrderSchema.optional()
}).strict();
export const StaffAvgOrderByAggregateInputObjectSchema: z.ZodType<Prisma.StaffAvgOrderByAggregateInput> = makeSchema() as unknown as z.ZodType<Prisma.StaffAvgOrderByAggregateInput>;
export const StaffAvgOrderByAggregateInputObjectZodSchema = makeSchema();
